@echo off && setlocal enabledelayedexpansion
echo --RUSH Auto Works--
echo --GCU Serial Monitor--
echo Attempting to find COM port. If this fails, please ensure the GCU is connected via USB.
echo You can use the command "mode" to attempt to find the correct COM port.
for /f "tokens=2delims=COM:" %%i in ('mode ^| findstr /RC:"\C\O\M[0-9*]"') do set "_com=%%i" & plink.exe -serial COM!_com! -sercfg 115200
echo:
pause
